--- title: "getCloudHadoopProductList" slug: "analytics-cloudhadoop-getcloudhadoopproductlist" tags: ["Cloud Hadoop"] updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-cloudhadoop-getcloudhadoopproductlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudHadoopProductList Available in Classic Get server types available for each node in Cloud Hadoop. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /hadoop/v2/getCloudHadoopProductList | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Cloud Hadoop APIs, see [Cloud Hadoop request headers](/docs/en/analytics-cloudhadoop#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionNo` | String | Optional | Region number - `1`: Korea Region (default) - See [getRegionList](/docs/en/compute-server-getregionlist). | | `zoneNo` | String | Optional | Filter by zone number. - `3`: KR-2 (default) - See [getZoneList](/docs/en/compute-server-getzonelist). | | `cloudHadoopImageProductCode` | String | Required | Cluster image code - See [getCloudHadoopImageProductList](/docs/en/analytics-cloudhadoop-getcloudhadoopimageproductlist). - If an invalid value is entered, an empty value is displayed in the response. | | `productCode` | String | Optional | Filter by node server type code. | | `exclusionProductCode` | String | Optional | Filter by excluding node server type codes. | | `infraResourceDetailTypeCode` | String | Optional | Filter by cluster detailed type code. - `MSTDT` (default) \| `EDGND` - `MSTDT`: master node/data node (worker node) - `EDGND`: edge node | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/hadoop/v2/getCloudHadoopProductList ?regionNo=1 &cloudHadoopImageProductCode=SPSWCHADPLINUX01 &productCode=SPSVRCHADP000001 &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-apigw-api-key: {API Key}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `getCloudHadoopProductListResponse` | Object | - | Response result - See [ProductList](/docs/en/common-apidatatype-productlist). | | `getCloudHadoopProductListResponse.requestId` | String | - | ID for the request - UUID format | | `getCloudHadoopProductListResponse.returnCode` | String | - | Response code | | `getCloudHadoopProductListResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the HTTPS status codes common to all Cloud Hadoop APIs, see [Cloud Hadoop response status codes](/docs/en/analytics-cloudhadoop#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "getCloudHadoopProductListResponse": { "productList": [ { "productCode": "SPSVRCHADP000001", "productName": "vCPU 4EA, Memory 8GB", "productType": { "code": "STAND", "codeName": "Standard" }, "productDescription": "vCPU 4EA, Memory 8GB", "infraResourceType": { "code": "CHADP", "codeName": "Cloud Hadoop" }, "infraResourceDetailType": { "code": "MSTDT", "codeName": "Master node/data node" }, "cpuCount": 4, "memorySize": 8589934592, "baseBlockStorageSize": 53687091200, "osInformation": "", "diskType": { "code": "NET", "codeName": "Network storage" }, "dbKindCode": "", "addBlockStorageSize": 0, "generationCode": "G1" } ], "totalRows": 1, "requestId": "13026532-****-****-****-1f711ae1548c", "returnCode": "0", "returnMessage": "success" } } ```